org.apache.olingo.odata2.api.uri.expression

## Enum MethodOperator

- java.lang.Object
- - java.lang.Enum<MethodOperator>
  - - org.apache.olingo.odata2.api.uri.expression.MethodOperator

- All Implemented Interfaces:
    Serializable, Comparable<MethodOperator>

      public enum MethodOperator
      extends Enum<MethodOperator>

  Enumerations for all supported methods of the ODATA expression parser for ODATA version 2.0 (with some restrictions).

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CEILING`
    `CONCAT`
    `DAY`
    `ENDSWITH`
    `FLOOR`
    `HOUR`
    `INDEXOF`
    `LENGTH`
    `MINUTE`
    `MONTH`
    `REPLACE`
    `ROUND`
    `SECOND`
    `STARTSWITH`
    `SUBSTRING`
    `SUBSTRINGOF`
    `TOLOWER`
    `TOUPPER`
    `TRIM`
    `YEAR`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `toString()`
    `String` | `toUriLiteral()`
    `static MethodOperator` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static MethodOperator[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ENDSWITH

          public static final MethodOperator ENDSWITH

    - #### INDEXOF

          public static final MethodOperator INDEXOF

    - #### STARTSWITH

          public static final MethodOperator STARTSWITH

    - #### TOLOWER

          public static final MethodOperator TOLOWER

    - #### TOUPPER

          public static final MethodOperator TOUPPER

    - #### TRIM

          public static final MethodOperator TRIM

    - #### SUBSTRING

          public static final MethodOperator SUBSTRING

    - #### SUBSTRINGOF

          public static final MethodOperator SUBSTRINGOF

    - #### CONCAT

          public static final MethodOperator CONCAT

    - #### LENGTH

          public static final MethodOperator LENGTH

    - #### YEAR

          public static final MethodOperator YEAR

    - #### MONTH

          public static final MethodOperator MONTH

    - #### DAY

          public static final MethodOperator DAY

    - #### HOUR

          public static final MethodOperator HOUR

    - #### MINUTE

          public static final MethodOperator MINUTE

    - #### SECOND

          public static final MethodOperator SECOND

    - #### ROUND

          public static final MethodOperator ROUND

    - #### FLOOR

          public static final MethodOperator FLOOR

    - #### CEILING

          public static final MethodOperator CEILING

    - #### REPLACE

          public static final MethodOperator REPLACE

  - ### Method Detail

    - #### values

          public static MethodOperator[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MethodOperator c : MethodOperator.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MethodOperator valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<MethodOperator>`
      Returns:
        Operators name for usage in in text

    - #### toUriLiteral

          public String toUriLiteral()

      Returns:
        URI literal of the unary operator as used in the URL.

Copyright © 2013-2023 The Apache Software Foundation. All Rights Reserved.